/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
/**
 * @hidden
 */
export let BollingerBandWidthIndicator = /*@__PURE__*/ (() => {
    class BollingerBandWidthIndicator extends StrategyBasedIndicator {
        bj() {
            return new BollingerBandWidthIndicator();
        }
        get_abt() {
            return new BollingerBandWidthIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return BollingerBandWidthIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get acf() {
            return typeGetValue(this.c(BollingerBandWidthIndicator.aci));
        }
        set acf(a) {
            this.h(BollingerBandWidthIndicator.aci, a);
        }
        abz() {
            return this.acf;
        }
        get ace() {
            return this.c(BollingerBandWidthIndicator.ach);
        }
        set ace(a) {
            this.h(BollingerBandWidthIndicator.ach, a);
        }
        abx() {
            return this.ace;
        }
    }
    BollingerBandWidthIndicator.$t = /*@__PURE__*/ markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
    BollingerBandWidthIndicator.aci = /*@__PURE__*/ StrategyBasedIndicator.acb(20, BollingerBandWidthIndicator.$);
    BollingerBandWidthIndicator.ach = /*@__PURE__*/ StrategyBasedIndicator.aca(2, BollingerBandWidthIndicator.$);
    return BollingerBandWidthIndicator;
})();
